Package org.apache.ignite.internal.processors.cache.dr

## Class GridCacheDrExpirationInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.dr.GridCacheDrInfo
  - - org.apache.ignite.internal.processors.cache.dr.GridCacheDrExpirationInfo

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class GridCacheDrExpirationInfo
    extends GridCacheDrInfo

Cache DR info used as argument in PUT cache internal interfaces with expiration info added.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`GridCacheDrExpirationInfo()`
`GridCacheDrExpirationInfo​(CacheObject val, GridCacheVersion ver, long ttl, long expireTime)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `expireTime()`
`String` `toString()`
`long` `ttl()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.dr.GridCacheDrInfo

`entryProcessor, readExternal, value, valueEx, version, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheDrExpirationInfo

    public GridCacheDrExpirationInfo()

#### GridCacheDrExpirationInfo

    public GridCacheDrExpirationInfo​(CacheObject val,
                                     GridCacheVersion ver,
                                     long ttl,
                                     long expireTime)

Constructor.

Parameters:
  `val` - Value.
  `ver` - Version.
  `ttl` - TTL.
  `expireTime` - Expire time.

### Method Detail

#### ttl

    public long ttl()

Overrides:
  `ttl` in class `GridCacheDrInfo`
Returns:
  TTL.

#### expireTime

    public long expireTime()

Overrides:
  `expireTime` in class `GridCacheDrInfo`
Returns:
  Expire time.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheDrInfo`